import { Injectable } from '@angular/core';
import { Actions, Effect, ofType } from '@ngrx/effects';
import { DarsActionTypes, AddAuditMetadata } from '@app/dars/store/actions';
import { flatMap, map } from 'rxjs/operators';
import { DarsApiService } from '../services/api.service';

@Injectable()
export class DARSEffects {
  constructor(private actions$: Actions, private api: DarsApiService) {}

  @Effect()
  load$ = this.actions$.pipe(
    ofType(DarsActionTypes.StartLoadingMetadata),
    flatMap(() => this.api.getAudits()),
    map(metadata => new AddAuditMetadata({ metadata })),
  );
}
