import { AuditMetadata } from '../models/audit-metadata';
import { Audit } from '../models/audit';

export interface DARSState {
  metadata:
    | { status: 'Loading' }
    | { status: 'Loaded'; metadata: AuditMetadata[] };
  visibleAudit:
    | { status: 'NotLoaded' }
    | { status: 'Loading'; metadata: AuditMetadata }
    | { status: 'Loaded'; metadata: AuditMetadata; audit: Audit };
}

export const INITIAL_DARS_STATE: DARSState = {
  metadata: { status: 'Loading' },
  visibleAudit: { status: 'NotLoaded' },
};
